Forum
J! JAPAN TOP
ようこそ, ゲスト
ユーザ名: パスワード: 自動ログイン

トピック: Joomla 3.5へのアップグレードについて

Joomla 3.5へのアップグレードについて 1 年 8 ヶ月 ago #5050

  • hitoridake
  • hitoridake さんのアバター
  • Offline
  • Senior Boarder
  • 投稿数: 48
  • カルマ: 0
Joomla 3.5が公開になりましたね!楽しみです。

現在、4月2日への公開へ向けてサイトのテストをしています。

Joomla 3.4.8で、日本語化もしています。

公開時までにはJoomla 3.5にしたいと考えています。

まだJoomla 3.5に関しては情報がないと思うので「雑談」としてお話を聞いてほしいのですが

バージョンアップの際に

ダメだったとき戻せるよう用にバックアップをとってから始めたいと思いっています。

AkeebaBackupでバックアップをとり念のためローカルPCにダウンロードしておく。

PHPを7に変更

バージョンアップ開始

ダメだったら

ドメイン内ディレクトリの中をすべて削除

データベースも削除

データベースを新規で作り直し

PHPも5.6にもどし

バックアップデータをアップロード

kickstartで復元

という感じで完全に元に戻せますでしょうか


現在

Joomla 3.5にむけて極力プラグインをインストールしないようにしており

それでもどうしても必要なものが

RokSprocket
www.rockettheme.com/joomla/extensions/roksprocket



テンプレートのPurity III
www.joomlart.com/joomla/templates/purity-iii

です。

あとJCEエディターです。

RokSprocketはつい最近、PHP7に対応したアップデートがありましたのでJoomla 3.5でもいけるかな
と思っていますが
怖いのはPurity IIIですかね。
Joomla 3.5のデフォルトテンプレートが良ければPurity IIIを削除しちゃっても問題はないんですけどね。

JCEエディターは使い慣れていますが、削除してからJoomla 3.5のほうが安心でしょうか。


Joomla 3.5に失敗しても完全に元に戻せるのであればチャレンジすぐにでもチャレンジしたいところです。
ゲストの書き込みは許可されていません。

Joomla 3.5へのアップグレードについて 1 年 8 ヶ月 ago #5051

  • hitoridake
  • hitoridake さんのアバター
  • Offline
  • Senior Boarder
  • 投稿数: 48
  • カルマ: 0
追記します。

これはJoomlaの公式サイトでしょうか?
www.joomla.org/3/ja/

ここでデモにチャレンジしてみました。
j565n102.demojoomla.com/index.php

3.4.8だったので3.5にアップグレードしましたが

RokSprocketやPurity III等

私が使用していたプラグインは動きました。

日本語化も問題ありませんでした。

ただ
PHPは5.5.32でした。

これをPHP7にして動くかどうかが問題なんでしょうね、きっと。

流れとしては

PHPを現状のままJoomla 3.5にして

テンプレートのほうがPHP7に対応したらPHPのバージョンを変更がベストでしょうかね。

PHPを7にして失敗しても、上に書いた方法で完全に元に戻せるのであれば、チャレンジしてみたいですけどねー
最終編集: 1 年 8 ヶ月 ago : hitoridake.
ゲストの書き込みは許可されていません。

Joomla 3.5へのアップグレードについて 1 年 8 ヶ月 ago #5053

  • siraisi
  • siraisi さんのアバター
  • Offline
  • Platinum Boarder
  • 投稿数: 457
  • 感謝を受け取りました 45
  • カルマ: 32
Akeebabackupを含め、全てのモジュールがJoomla!3.5、またはPHP7に対応するまで待った方がよろしいかと。

予備のサイトで試すのでしたらOKだと思います。
mail: このメールアドレスはスパムボットから保護されています。閲覧するにはJavaScriptを有効にする必要があります。
ゲストの書き込みは許可されていません。
次のユーザが感謝しました: hitoridake

Joomla 3.5へのアップグレードについて 1 年 8 ヶ月 ago #5055

  • hitoridake
  • hitoridake さんのアバター
  • Offline
  • Senior Boarder
  • 投稿数: 48
  • カルマ: 0
テンプレートやプラグインに関して
多少のエラーが出ているっぽいですが
Joomla3.4.8で動いていたものでJoomla3.5で動かないものは無かったです。あくまで私の使用している範囲でですが。

ただ
PHP7だけは怖くてできません。
ネットをみると、やはり問題が多いようで。

速さ2倍とかいう噂に
早く使いたくてうずうずしているのですが
意外とそうでもなさそうって話もありますし
PHP7だけは、相当慎重にアップグレードを考えないといけないですね
ゲストの書き込みは許可されていません。